Name:           python-sinr
Version:        1.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Build word and graph embeddings based on community detection in graphs.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://sinr-embeddings.github.io/sinr/_build/html/index.html
Source:         %{pypi_source sinr}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sinr' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sinr
Summary:        %{summary}

%description -n python3-sinr %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sinr docs


%prep
%autosetup -p1 -n sinr-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sinr -f %{pyproject_files}


%changelog
%autochangelog